Page MenuHomePhabricator

Analyze memory usage on db1011
Closed, ResolvedPublic

Description

Yesterday db1011 (tendril DB) went out of memory and the OOM killed MySQL

Mar 28 11:47:57 db1011 kernel: [21027418.664060] mysqld invoked oom-killer: gfp_mask=0x3000d0, order=1, oom_score_adj=0
[...OMISSIS...]
Mar 28 11:47:57 db1011 kernel: [21027418.664555] Out of memory: Kill process 4023 (mysqld) score 980 or sacrifice child

MySQL and host memory usage should be analyzed in order to reduce them a bit to avoid OOM issues.

Event Timeline

Volans created this task.Mar 29 2016, 7:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2016, 7:51 AM

It happened again yesteday, OOM killer killed mysqld, see the attached graph for the memory usage;

jcrespo triaged this task as Lowest priority.Apr 15 2016, 7:31 AM
Marostegui closed this task as Resolved.Oct 6 2017, 6:29 AM
Marostegui added a subscriber: Marostegui.

Unfortunately db1011 has these issues quite often but I don't think anyone is taking a look at this as it is an old ticket :-)
This server will be decommissioned anyways as part of: T134476

Please reopen if necessary!